Get a single sample request for a style
curl --request GET \
--url https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/sample-requests/{id}import requests
url = "https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/sample-requests/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/styles/{styleId}/sample-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": "<string>",
"data": {
"id": 123,
"styleId": 123,
"status": "requested",
"deadline": "2023-11-07T05:31:56Z",
"etd": "2023-11-07T05:31:56Z",
"sendDate": "2023-11-07T05:31:56Z",
"lastStateChange": "2023-11-07T05:31:56Z",
"note": "<string>",
"trackingNumber": "<string>",
"sampleType": {
"id": 123,
"name": "<string>",
"state": "active",
"commentDeadline": 123,
"position": 123,
"notifySettings": [
"requested"
],
"properties": [
"<string>"
]
},
"properties": [
"<string>"
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}SampleRequests
Get a single sample request for a style
Returns a single sample request. Returns 404 when the sample request does not exist or belongs to a different style.
GET
/
api
/
styles
/
{styleId}
/
sample-requests
/
{id}
Get a single sample request for a style
Headers
Path Parameters
Identifier of the style the sample request belongs to.
Identifier of the sample request to return.
Response
OK
The coarse outcome of the request, indicating whether it succeeded or failed.
Available options:
success, error The specific machine-readable outcome code, such as ok on success or the most specific error code on failure. Always lowercase on the wire.
The response payload, either a single object for a by-id read or an array for a bulk operation. Omitted from the body when there is no value.
Show child attributes
Show child attributes